library verilog;
use verilog.vl_types.all;
entity singleDelayWithEnableGeneric_1s_10 is
    generic(
        bitwidth        : integer := 1
    );
    port(
        N_1             : out    vl_logic_vector(0 downto 0);
        P2S_N_bitclk_falling_1_300: out    vl_logic_vector(0 downto 0);
        clk             : in     vl_logic;
        GlobalEnable1   : in     vl_logic;
        GlobalReset     : in     vl_logic;
        Bit_Clk         : in     vl_logic
    );
end singleDelayWithEnableGeneric_1s_10;
